Subject: bug#51032: 29.0.50; Choices for blink-matching-paren

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Oct 2021 21:23:37 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 6 Oct 2021 14:10:45 -0400
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > And 'show' (or 'foo', or any other non-nil value) does NOT show the
> > matching paren in the echo area when that position is off-screen?  It
> > does here, FWIW.
> 
> The behavior you see should be explained in the new docstring.  Did you
> miss this part in the diff?
> 
>     +In addition, if the opening paren is not visible on screen, show
>     +its position in the echo area.

But that's incorrect, because it doesn't happen when the value is
'jump' or 'jump-offscreen'.  The "in addition" part makes it sound
like it happens with any non-nil value.

> >> +                    even if the opening paren is not on screen."
> >
> > This doesn't update the choices, which is what the original bug report
> > was about.
> 
> Yes it does, by changing t to non-nil.  Or maybe I don't understand what
> you are saying.

How many possible values can this variable have, and how many are
listed in the menu of choices that will be presented to the user?